SystemOrganization addCategory: #TestsEToys!

!BooleanTest methodsFor: '*TestsEToys' stamp: 'sd 6/5/2005 09:01'!
testNewTileMorphRepresentative

	self assert: (false newTileMorphRepresentative isKindOf: TileMorph).
	self assert: (false newTileMorphRepresentative literal = false).
	self assert: (true newTileMorphRepresentative literal = true).! !

!MorphTest methodsFor: '*TestsEToys' stamp: 'tak 1/21/2005 11:31'!
testOverlapAny
	"self debug: #testOverlapAny"
	| p1 p2 |
	p1 _ Morph new assuredPlayer.
	p2 _ EllipseMorph new assuredPlayer.
	"Same position"
	p1 costume position: 0@0.
	p2 costume position: 0@0.
	self assert: (p1 overlapsAny: p2).
	"Different position"
	p1 costume position: 0@0.
	p2 costume position: 500@0.
	self assert: (p1 overlapsAny: p2) not.! !

!MorphTest methodsFor: '*TestsEToys' stamp: 'tak 1/21/2005 11:56'!
testOverlapAnyDeletedPlayer
	"self debug: #testOverlapAnyDeletedPlayer"
	| me friend sibling |
	me := Morph new assuredPlayer assureUniClass; yourself.
	friend := EllipseMorph new assuredPlayer assureUniClass; yourself.
	sibling := friend getNewClone.
	sibling costume delete.
	self getWorld addMorph: me costume.
	"Same position but deleted"
	me costume position: 0 @ 0.
	friend costume position: 0 @ 0.
	sibling costume position: 0 @ 0.
	self assert: (me overlapsAny: friend) not.
	self assert: (me overlapsAny: sibling) not! !

!MorphTest methodsFor: '*TestsEToys' stamp: 'tak 1/21/2005 11:40'!
testOverlapAnyScriptedPlayer
	"self debug: #testOverlapAnyScriptedPlayer"
	| me friend other sibling |
	me := Morph new assuredPlayer assureUniClass; yourself.
	friend := EllipseMorph new assuredPlayer assureUniClass; yourself.
	sibling := friend getNewClone.
	other := EllipseMorph new assuredPlayer assureUniClass; yourself.
	self getWorld addMorph: me costume;
		 addMorph: friend costume;
		 addMorph: other costume;
		 addMorph: sibling costume.
	"myself"
	self assert: (me overlapsAny: me) not.
	"Same position with sibling"
	me costume position: 0 @ 0.
	friend costume position: 500 @ 0.
	other costume position: 500 @ 0.
	sibling costume position: 0@0.
	self assert: (me overlapsAny: friend).
	"Different position with sibling but same class"
	me costume position: 0 @ 0.
	friend costume position: 500 @ 0.
	sibling costume position: 500@ 0.
	other costume position: 0 @ 0.
	self assert: (me overlapsAny: friend) not! !

!MorphTest methodsFor: '*TestsEToys' stamp: 'tak 1/21/2005 11:32'!
testOverlapAnyUnscriptedPlayer
	"self debug: #testOverlapAnyUnscriptedPlayer"
	| p1 p2 p3 |
	p1 := Morph new assuredPlayer.
	p2 := EllipseMorph new assuredPlayer.
	p3 := EllipseMorph new assuredPlayer.
	self getWorld addMorph: p1 costume;
		 addMorph: p2 costume;
		 addMorph: p3 costume.
	"Same class, same position"
	p1 costume position: 0 @ 0.
	p2 costume position: 500 @ 0.
	p3 costume position: 0 @ 0.
	self
		assert: (p1 overlapsAny: p2).
	"Same class, different position"
	p1 costume position: 0 @ 0.
	p2 costume position: 1000 @ 0.
	p3 costume position: 500 @ 0.
	self assert: (p1 overlapsAny: p2) not.
! !

!IntegerTest methodsFor: '*TestsEToys' stamp: 'laza 1/30/2005 14:04'!
testIntegerByteEncoded
	self assert: (ByteEncoder stream writeNumber: 2 base: 2; yourself) contents = '10'.
	self assert: (ByteEncoder stream writeNumber: 21 base: 3; yourself) contents = '210'.
	self assert: (ByteEncoder stream writeNumber: 228 base: 4; yourself) contents = '3210'.
	self assert: (ByteEncoder stream writeNumber: 2930 base: 5; yourself) contents = '43210'.
	self assert: (ByteEncoder stream writeNumber: 44790 base: 6; yourself) contents = '543210'.
	self assert: (ByteEncoder stream writeNumber: 800667 base: 7; yourself) contents = '6543210'.
	self assert: (ByteEncoder stream writeNumber: 16434824 base: 8; yourself) contents = '76543210'.
	self assert: (ByteEncoder stream writeNumber: 381367044 base: 9; yourself) contents = '876543210'.
	self assert: (ByteEncoder stream writeNumber: 9876543210 base: 10; yourself) contents = '9876543210'.
	self assert: (ByteEncoder stream writeNumber: 282458553905 base: 11; yourself) contents = 'A9876543210'.
	self assert: (ByteEncoder stream writeNumber: 8842413667692 base: 12; yourself) contents = 'BA9876543210'.
	self assert: (ByteEncoder stream writeNumber: 300771807240918 base: 13; yourself) contents = 'CBA9876543210'.
	self assert: (ByteEncoder stream writeNumber: 11046255305880158 base: 14; yourself) contents = 'DCBA9876543210'.
	self assert: (ByteEncoder stream writeNumber: 435659737878916215 base: 15; yourself) contents = 'EDCBA9876543210'.
	self assert: (ByteEncoder stream writeNumber: 18364758544493064720 base: 16; yourself) contents = 'FEDCBA9876543210'.

	self assert: (ByteEncoder stream writeNumber: -2 base: 2; yourself) contents = '-10'.
	self assert: (ByteEncoder stream writeNumber: -21 base: 3; yourself) contents = '-210'.
	self assert: (ByteEncoder stream writeNumber: -228 base: 4; yourself) contents = '-3210'.
	self assert: (ByteEncoder stream writeNumber: -2930 base: 5; yourself) contents = '-43210'.
	self assert: (ByteEncoder stream writeNumber: -44790 base: 6; yourself) contents = '-543210'.
	self assert: (ByteEncoder stream writeNumber: -800667 base: 7; yourself) contents = '-6543210'.
	self assert: (ByteEncoder stream writeNumber: -16434824 base: 8; yourself) contents = '-76543210'.
	self assert: (ByteEncoder stream writeNumber: -381367044 base: 9; yourself) contents = '-876543210'.
	self assert: (ByteEncoder stream writeNumber: -9876543210 base: 10; yourself) contents = '-9876543210'.
	self assert: (ByteEncoder stream writeNumber: -282458553905 base: 11; yourself) contents = '-A9876543210'.
	self assert: (ByteEncoder stream writeNumber: -8842413667692 base: 12; yourself) contents = '-BA9876543210'.
	self assert: (ByteEncoder stream writeNumber: -300771807240918 base: 13; yourself) contents = '-CBA9876543210'.
	self assert: (ByteEncoder stream writeNumber: -11046255305880158 base: 14; yourself) contents = '-DCBA9876543210'.
	self assert: (ByteEncoder stream writeNumber: -435659737878916215 base: 15; yourself) contents = '-EDCBA9876543210'.
	self assert: (ByteEncoder stream writeNumber: -18364758544493064720 base: 16; yourself) contents = '-FEDCBA9876543210'.! !

TestCase subclass: #TileMorphTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TestsEToys'!

!TileMorphTest methodsFor: 'testing' stamp: 'tak 12/5/2004 18:58'!
testArrowAction
	"self debug: #testArrowAction"
	| dummy tile |
	dummy _ Morph new.
	tile _ TileMorph new setOperator: '+'.
	dummy addMorph: tile.
	tile arrowAction: 1.
	self assert: tile codeString = '-'.

	tile _ TileMorph new setOperator: '<'.
	dummy addMorph: tile.
	tile arrowAction: 1.
	"Because receiver is not tile"
	self assert: tile codeString = '='.

	tile _ true newTileMorphRepresentative.
	dummy addMorph: tile.
	tile arrowAction: 1.
	self assert: tile codeString = '(false)'.
! !

!TileMorphTest methodsFor: 'testing' stamp: 'tak 12/5/2004 18:58'!
testAssignmentTile
	"self debug: #testAssignmentTile"

	| player viewer tile phrase |
	player _ Morph new assuredPlayer.
	viewer _ CategoryViewer new invisiblySetPlayer: player.
	viewer  makeSetter: #(#getX #Number) event: nil from: player costume.
	phrase _ ActiveHand firstSubmorph.
	ActiveHand removeAllMorphs.
	tile _ phrase submorphs second.

	self assert: tile codeString = 'setX: '.
	tile arrowAction: 1.
	self assert: tile codeString = 'setX: self getX + '.

! !

!TileMorphTest methodsFor: 'testing' stamp: 'tlk 5/6/2006 16:35'!
testSoundTile
	"self debug: #testSoundTile"
	| tile dummy |
	dummy _ Morph new.
	tile _ SoundTile new literal: 'croak'.
	dummy addMorph: tile.
	tile arrowAction: 1.
	self assert: tile codeString = '(''horn'')'.

	! !

TestCase subclass: #WatchMorphTest
	instanceVariableNames: 'morph'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TestsEToys'!

!WatchMorphTest commentStamp: 'tlk 5/21/2006 14:50' prior: 0!
A WatchMorphTest is a a sunit test of WatchMorpht.  It was first implemented when fixing some broken functionality.

My fixtures are morph, a WatchMorph.  !

!WatchMorphTest methodsFor: 'initialize-release' stamp: 'tlk 5/21/2006 14:42'!
setUp
	morph := WatchMorph new openInWorld.! !

!WatchMorphTest methodsFor: 'initialize-release' stamp: 'tlk 5/21/2006 14:41'!
tearDown
	morph delete.! !

!WatchMorphTest methodsFor: 'testing' stamp: 'tlk 5/21/2006 14:49'!
testToggleRoman
	self shouldnt: [morph toggleRoman]  raise: Error! !
